Bug 4218 - pam_slurm_adopt
Summary: pam_slurm_adopt
Status: RESOLVED DUPLICATE of bug 3567
Alias: None
Product: Slurm
Classification: Unclassified
Component: Limits (show other bugs)
Version: 16.05.8
Hardware: Linux Linux
: --- 3 - Medium Impact
Assignee: Felip Moll
QA Contact:
URL:
Depends on:
Blocks:
 
Reported: 2017-10-03 17:11 MDT by Robert Yelle
Modified: 2017-10-04 02:57 MDT (History)
1 user (show)

See Also:
Site: University of Oregon
Alineos Sites: ---
Bull/Atos Sites: ---
Confidential Site: ---
Cray Sites: ---
HPCnow Sites: ---
HPE Sites: ---
IBM Sites: ---
NOAA SIte: ---
OCF Sites: ---
SFW Sites: ---
SNIC sites: ---
Linux Distro: ---
Machine Name:
CLE Version:
Version Fixed:
Target Release: ---
DevPrio: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Yelle 2017-10-03 17:11:04 MDT
Hello,

From a previous ticket (4122) it was recommended that we use pam_slurm_adopt, which sounds like a great solution to the problem we described previously.  I was wondering if there was any updated documentation on how to utilize or install it.  We are using 16.05.8 (provided in Bright 7.3), but it appears we do not have that plugin available.  Do we need to rebuild and reinstall Slurm to obtain and utilize this plugin?  If not, how can we install it into our current installation?  

Thanks,

Rob Yelle
Comment 1 Felip Moll 2017-10-04 02:57:55 MDT
Dear Robert,

At that time there is no official SchedMD updated documentation about pam_slurm_adopt.
In bug 3567 there is another request for it and we have worked to provide it in 17.11 rc1, which will be released soon.

In the meantime I suggest you to read through the documentation you can find in:

 https://github.com/SchedMD/slurm/tree/master/contribs/pam_slurm_adopt
 http://tech.ryancox.net/2015/11/pamslurmadopt.html

Including the plugin in your SLURM installation should be easy, you just have to compile source code available under contribs/pam_slurm_adopt and install it with make && make install.

If you are building RPMS just compile with the "--with pam" directive which will create slurm-pam_slurm-xxxx.x86_64.rpm file with the pam_slurm and pam_slurm_adopt plugins.

 rpmbuild -ta slurm-xxxx.tgz --with pam

If you have troubles installing it just reopen the bug.

BR,
Felip M

*** This bug has been marked as a duplicate of bug 3567 ***